#include <bits/stdc++.h>
using namespace std;
long long p,q,r,L,R,brojac;
long long w,o,d;
int main() {
cin >> p >> q >> r >> L >> R;
brojac=0;
for(double i=L; i<=R; i++) {
  w=ceil(i/p);
  o=ceil(i/q);
  d=ceil(i/r);
  if(w+o+d<=i) brojac++;
}
cout << brojac << endl;
return 0;
}